Index: TXM/trunk/bundles/org.txm.statsengine.core/src/org/txm/statsengine/core/StatsEngine.java
===================================================================
--- TXM/trunk/bundles/org.txm.statsengine.core/src/org/txm/statsengine/core/StatsEngine.java	(revision 3702)
+++ TXM/trunk/bundles/org.txm.statsengine.core/src/org/txm/statsengine/core/StatsEngine.java	(revision 3703)
@@ -19,4 +19,12 @@
 	public String getDetails() {
 		return "";
 	}
+	
+	public boolean hasAdditionalDetailsForResult(TXMResult result) {
+		return false;
+	}
+	
+	public String getAdditionalDetailsForResult(TXMResult result) {
+		return null;
+	}
 }
Index: TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/SearchEngine.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/SearchEngine.java	(revision 3702)
+++ TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/SearchEngine.java	(revision 3703)
@@ -3,6 +3,7 @@
 import java.util.List;
 
 import org.txm.core.engines.Engine;
+import org.txm.core.results.TXMResult;
 import org.txm.objects.CorpusBuild;
 import org.txm.objects.Match;
 import org.txm.utils.LogMonitor;
@@ -65,4 +66,12 @@
 	public boolean hasMultiLineQueries() {
 		return false;
 	}
+	
+	public boolean hasAdditionalDetailsForResult(TXMResult result) {
+		return false;
+	}
+	
+	public String getAdditionalDetailsForResult(TXMResult result) {
+		return null;
+	}
 }
Index: TXM/trunk/bundles/org.txm.properties.core/src/org/txm/properties/core/functions/CorpusPropertiesComputer.java
===================================================================
--- TXM/trunk/bundles/org.txm.properties.core/src/org/txm/properties/core/functions/CorpusPropertiesComputer.java	(revision 3702)
+++ TXM/trunk/bundles/org.txm.properties.core/src/org/txm/properties/core/functions/CorpusPropertiesComputer.java	(revision 3703)
@@ -1,6 +1,5 @@
 package org.txm.properties.core.functions;
 
-import java.io.IOException;
 import java.text.NumberFormat;
 import java.util.ArrayList;
 import java.util.Arrays;
@@ -14,11 +13,14 @@
 
 import org.apache.commons.lang.StringUtils;
 import org.eclipse.osgi.util.NLS;
+import org.txm.Toolbox;
+import org.txm.core.engines.Engine;
+import org.txm.core.engines.EngineType;
+import org.txm.core.engines.EnginesManager;
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.objects.Project;
 import org.txm.properties.core.messages.PropertiesCoreMessages;
 import org.txm.searchengine.cqp.AbstractCqiClient;
-import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
 import org.txm.searchengine.cqp.corpus.CorpusManager;
@@ -29,26 +31,35 @@
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
 import org.txm.searchengine.cqp.corpus.WordProperty;
 import org.txm.searchengine.cqp.corpus.query.CQLQuery;
-import org.txm.searchengine.cqp.corpus.query.Match;
-import org.txm.searchengine.cqp.serverException.CqiServerError;
 import org.txm.utils.TXMProgressMonitor;
 import org.txm.utils.logger.Log;
 
 public class CorpusPropertiesComputer extends PropertiesComputer<CQPCorpus> {
 	
+	ArrayList<String> computableInformations = new ArrayList<String>(Arrays.asList("all"));
+	
 	public CorpusPropertiesComputer(Properties props, CQPCorpus result) {
 		super(props, result);
 	}
 	
 	@Override
 	public List<String> getComputableInformations() {
-		return Arrays.asList("all");
+		return computableInformations;
 	}
 	
 	@Override
 	public LinkedHashMap<String, String> getInformation(String name) {
 		LinkedHashMap<String, String> data = new LinkedHashMap<>();
 		data.put("all", dump(props.pMaxPropertiesToDisplay));
+		for (EngineType set : Toolbox.getEngineManagers().keySet()) {
+			EnginesManager<?> se = Toolbox.getEngineManagers().get(set);
+			for (String ename : se.getEngines().keySet()) {
+				Engine engine = se.get(ename);
+				if (engine.hasAdditionalDetailsForResult(result)) {
+					data.put(engine.getName(), dump(props.pMaxPropertiesToDisplay));
+				}
+			}
+		}
 		return data;
 	}
 	
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/engines/ScriptEngine.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/engines/ScriptEngine.java	(revision 3702)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/engines/ScriptEngine.java	(revision 3703)
@@ -1,8 +1,6 @@
 package org.txm.core.engines;
 
 import java.io.File;
-import java.util.ArrayList;
-import java.util.Arrays;
 import java.util.HashMap;
 import java.util.List;
 
@@ -73,4 +71,12 @@
 	public IStatus executeScript(File perlScript, List<String> args) {
 		return executeScript(perlScript, null, args);		
 	}
+	
+	public boolean hasAdditionalDetailsForResult(TXMResult result) {
+		return false;
+	}
+	
+	public String getAdditionalDetailsForResult(TXMResult result) {
+		return null;
+	}
 }
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/engines/ScriptedImportEngine.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/engines/ScriptedImportEngine.java	(revision 3702)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/engines/ScriptedImportEngine.java	(revision 3703)
@@ -5,6 +5,7 @@
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.core.runtime.IStatus;
 import org.eclipse.core.runtime.Status;
+import org.txm.core.results.TXMResult;
 import org.txm.objects.Project;
 
 /**
@@ -56,5 +57,14 @@
 		return _build(project, monitor);
 	}
 	
+	public boolean hasAdditionalDetailsForResult(TXMResult result) {
+		return false;
+	}
+	
+	public String getAdditionalDetailsForResult(TXMResult result) {
+		return null;
+	}
+	
 	public abstract IStatus _build(Project project, IProgressMonitor monitor);
+	
 }
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/engines/ImportEngine.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/engines/ImportEngine.java	(revision 3702)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/engines/ImportEngine.java	(revision 3703)
@@ -30,4 +30,12 @@
 	public String getDetails() {
 		return this.getClass() + " " + this.toString();
 	}
+	
+	public boolean hasAdditionalDetailsForResult(TXMResult result) {
+		return false;
+	}
+	
+	public String getAdditionalDetailsForResult(TXMResult result) {
+		return null;
+	}
 }
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/engines/Engine.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/engines/Engine.java	(revision 3702)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/engines/Engine.java	(revision 3703)
@@ -60,4 +60,8 @@
 	 * @return details about the engine (eg. the elements managed)
 	 */
 	public String getDetails();
+
+	public boolean hasAdditionalDetailsForResult(TXMResult result);
+	
+	public String getAdditionalDetailsForResult(TXMResult result);
 }
Index: TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 3702)
+++ TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 3703)
@@ -680,4 +680,12 @@
 	public String getDetails() {
 		return this.description;
 	}
+	
+	public boolean hasAdditionalDetailsForResult(TXMResult result) {
+		return false;
+	}
+	
+	public String getAdditionalDetailsForResult(TXMResult result) {
+		return null;
+	}
 }
Index: TXM/trunk/bundles/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEngine.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEngine.java	(revision 3702)
+++ TXM/trunk/bundles/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEngine.java	(revision 3703)
@@ -5,6 +5,7 @@
 import java.util.HashMap;
 
 import org.txm.core.engines.Engine;
+import org.txm.core.results.TXMResult;
 import org.txm.objects.CorpusBuild;
 import org.txm.tokenizer.SimpleStringTokenizer;
 import org.txm.tokenizer.StringTokenizer;
@@ -90,4 +91,12 @@
 		cpb.done();
 		return ret;
 	}
+	
+	public boolean hasAdditionalDetailsForResult(TXMResult result) {
+		return false;
+	}
+	
+	public String getAdditionalDetailsForResult(TXMResult result) {
+		return null;
+	}
 }
Index: TXM/trunk/bundles/org.txm.analec.rcp/src/org/txm/annotation/urs/search/URSSearchEngine.java
===================================================================
--- TXM/trunk/bundles/org.txm.analec.rcp/src/org/txm/annotation/urs/search/URSSearchEngine.java	(revision 3702)
+++ TXM/trunk/bundles/org.txm.analec.rcp/src/org/txm/annotation/urs/search/URSSearchEngine.java	(revision 3703)
@@ -16,6 +16,7 @@
 import org.txm.searchengine.core.SearchEngine;
 import org.txm.searchengine.core.SearchEngineProperty;
 import org.txm.searchengine.core.Selection;
+import org.txm.searchengine.cqp.corpus.CQPCorpus;
 import org.txm.utils.logger.Log;
 
 import visuAnalec.donnees.Corpus;
@@ -291,4 +292,41 @@
 		return a;
 	}
 
+	public boolean hasAdditionalDetailsForResult(TXMResult result) {
+		if (result instanceof CQPCorpus) {
+			CQPCorpus corpus = (CQPCorpus) result;
+			return URSCorpora.hasCorpus(corpus);
+		}
+		return false;
+	}
+	
+	public String getAdditionalDetailsForResult(TXMResult result) {
+		if (result instanceof CQPCorpus) {
+			CQPCorpus corpus = (CQPCorpus) result;
+			if (URSCorpora.hasCorpus(corpus)) {
+				Corpus acorpus = URSCorpora.getCorpus(corpus);
+				StringBuilder str = new StringBuilder();
+				
+				str.append("<h4>Unites</h4><ul>\n");
+				for (String e : acorpus.getStructure().getUnites()) {
+					str.append("<li>"+e+"</li>\n");
+				}
+				str.append("</ul>\n");
+				
+				str.append("<h4>Relations</h4><ul>\n");
+				for (String e : acorpus.getStructure().getRelations()) {
+					str.append("<li>"+e+"</li>\n");
+				}
+				str.append("</ul>\n");
+				
+				str.append("<h4>Schemas</h4><ul>\n");
+				for (String e : acorpus.getStructure().getSchemas()) {
+					str.append("<li>"+e+"</li>\n");
+				}
+				str.append("</ul>\n");
+			}
+		}
+		return null;
+	}
+	
 }
